Skip to main content
POST
Create task

Authorizations

Authorization
string
header
required

Partner OAuth2 flows for integration API access tokens. Claude MCP custom connectors use authorization code with PKCE S256.

Scopes

plan_items:write

Create and update plan milestones, goals, and tasks.

Headers

X-Organization-Id
string<uuid>

Active organization UUID. Required for authenticated requests when the principal has access to multiple organizations.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$

Path Parameters

planId
string<uuid>
required
Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$

Query Parameters

organizationId
string<uuid>

Read-only convenience alias for X-Organization-Id. Legacy subscriberId query param is also accepted.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$

Body

application/json
title
string
required
Minimum string length: 1
milestoneId
string<uuid>
Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$
description
string
targetDate
string<date>
assignedToId
string<uuid>
Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$
assignedContactId
string<uuid>

Contact from the plan account, including contacts without a user account. Mutually exclusive with assignedToId. Does not send an invitation.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$

Response

Created task.

task
object
required